<?php
namespace Mirasvit\Seo\Block\Adminhtml\System\Template\Run;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\System\Template\Run
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\System\Template\Run implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Seo\Model\System\Template\Worker $systemTemplateWorker, \Magento\Backend\Block\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($systemTemplateWorker, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
